# Uses of Interface
java.lang.classfile.attribute.InnerClassesAttribute

Packages that use InnerClassesAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of InnerClassesAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type InnerClassesAttribute
Modifier and Type
Method
Description
`static AttributeMapper<InnerClassesAttribute>`
Attributes.`innerClasses()`
Returns the mapper for the `InnerClasses` attribute.

## Uses of InnerClassesAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type InnerClassesAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`InnerClassesAttribute`
Models the `InnerClasses` attribute (JVMS 4.7.6), which records which classes referenced by this `class` file are nested classes.
Methods in java.lang.classfile.attribute that return InnerClassesAttribute
Modifier and Type
Method
Description
`static InnerClassesAttribute`
InnerClassesAttribute.`of(InnerClassInfo... innerClasses)`
Returns an `InnerClasses` attribute.
`static InnerClassesAttribute`
InnerClassesAttribute.`of(List<InnerClassInfo> innerClasses)`
Returns an `InnerClasses` attribute.